Reply
Thread Tools
HtheB's Avatar
Moderator | Posts: 2,518 | Thanked: 2,635 times | Joined on Dec 2009 @ Bize Her Yer Trabzon
#21
Any news about this project?

I still like to see Pidgin running on the N950
__________________
www.HtheB.com
Nintendo DS Homebrew Developer
 
Posts: 773 | Thanked: 854 times | Joined on Jul 2010
#22
Originally Posted by HtheB View Post
Any news about this project?

I still like to see Pidgin running on the N950
ive been using pidgin on my n9 for like years...
requires a btkb, but what with your magical unicorn pony, that wont be a problem
__________________
~ teleshoes ~
 
HtheB's Avatar
Moderator | Posts: 2,518 | Thanked: 2,635 times | Joined on Dec 2009 @ Bize Her Yer Trabzon
#23
Originally Posted by wolke View Post
ive been using pidgin on my n9 for like years...
requires a btkb, but what with your magical unicorn pony, that wont be a problem
care to share the deb file?
__________________
www.HtheB.com
Nintendo DS Homebrew Developer
 
Posts: 773 | Thanked: 854 times | Joined on Jul 2010
#24
sure. theyre hacked together from the armel ubuntu 11.04 repo instead of properly compiled and crosslinked with a nice source package etc, etc.

it works perfectly fine for me with martinks gtk repo.

https://github.com/teleshoes/n9-conf...l.deb?raw=true
https://github.com/teleshoes/n9-conf...l.deb?raw=true
https://github.com/teleshoes/n9-conf...l.deb?raw=true
https://github.com/teleshoes/n9-conf...l.deb?raw=true

EDIT: and this one
https://github.com/teleshoes/n9-conf...l.deb?raw=true
__________________
~ teleshoes ~

Last edited by wolke; 2012-04-29 at 14:09.
 

The Following User Says Thank You to wolke For This Useful Post:
HtheB's Avatar
Moderator | Posts: 2,518 | Thanked: 2,635 times | Joined on Dec 2009 @ Bize Her Yer Trabzon
#25
Originally Posted by wolke View Post
sure. theyre hacked together from the armel ubuntu 11.04 repo instead of properly compiled and crosslinked with a nice source package etc, etc.

it works perfectly fine for me with martinks gtk repo.

https://github.com/teleshoes/n9-conf...l.deb?raw=true
https://github.com/teleshoes/n9-conf...l.deb?raw=true
https://github.com/teleshoes/n9-conf...l.deb?raw=true
https://github.com/teleshoes/n9-conf...l.deb?raw=true
It gives me a lot of depency errors when I try to install the pidgin deb.
What else do I need? I have rzr's and martink's repo
__________________
www.HtheB.com
Nintendo DS Homebrew Developer
 
Posts: 773 | Thanked: 854 times | Joined on Jul 2010
#26
Originally Posted by HtheB View Post
It gives me a lot of depency errors when I try to install the pidgin deb.
What else do I need? I have rzr's and martink's repo
you have to install all four debs and the dependencies in each of them. easiest way to do this is to download them to a dir, and do

dpkg -i *.deb
apt-get -f install

note that this was the minimal set of dependencies i could get it to work with, using the precompiled binary packages in ubuntu, not a sensible compilation targetting harmattan. still, it works fine and installs without dependency issues for me.
__________________
~ teleshoes ~
 

The Following User Says Thank You to wolke For This Useful Post:
HtheB's Avatar
Moderator | Posts: 2,518 | Thanked: 2,635 times | Joined on Dec 2009 @ Bize Her Yer Trabzon
#27
Originally Posted by wolke View Post
you have to install all four debs and the dependencies in each of them. easiest way to do this is to download them to a dir, and do

dpkg -i *.deb
apt-get -f install

note that this was the minimal set of dependencies i could get it to work with, using the precompiled binary packages in ubuntu, not a sensible compilation targetting harmattan. still, it works fine and installs without dependency issues for me.
When I try to run pidgin, it says:
pidgin: error while loading shared libraries: libgtkspell.so.0: cannot open shared object file: no such file or directory

Edit: I installed the missing dependency libgtkspell0 from here
http://packages.debian.org/nl/squeeze/libgtkspell0

and this one:
http://packages.debian.org/nl/squeeze/libenchant1c2a

after that, I tried apt-get -f install again, and it works now!
Thanks!
__________________
www.HtheB.com
Nintendo DS Homebrew Developer

Last edited by HtheB; 2012-04-29 at 12:06.
 
javispedro's Avatar
Posts: 2,123 | Thanked: 4,126 times | Joined on Jan 2009 @ Barcelona
#28
Originally Posted by wolke View Post
ive been using pidgin on my n9 for like years...
requires a btkb, but what with your magical unicorn pony, that wont be a problem
xmimd will help here, at least while waiting for a more properly integrated solution.

Since you are not using a chroot or Xephyr, this usecase is much easier. Just do:
  1. Install the xmimd package
  2. Open a terminal window and run "xmimd -v". Leave it open.
  3. On a second, newly opened terminal window, run
    Code:
    export GTK_IM_MODULE=xim
    export XMODIFIERS="@im=xmim"
  4. On the second terminal window, run "pidgin".

The Gtk+ window will not be resized, making it hard to see what you've written, but at least you won't need the bt keyboard...
 

The Following 2 Users Say Thank You to javispedro For This Useful Post:
Posts: 773 | Thanked: 854 times | Joined on Jul 2010
#29
Originally Posted by HtheB View Post
When I try to run pidgin, it says:
pidgin: error while loading shared libraries: libgtkspell.so.0: cannot open shared object file: no such file or directory

Edit: I installed the missing dependency libgtkspell0 from here
http://packages.debian.org/nl/squeeze/libgtkspell0

and this one:
http://packages.debian.org/nl/squeeze/libenchant1c2a

after that, I tried apt-get -f install again, and it works now!
Thanks!
whoops, sorry! my copy, for the record, is there with the rest {i just forgot it}:

https://github.com/teleshoes/n9-conf...l.deb?raw=true
__________________
~ teleshoes ~
 
Posts: 773 | Thanked: 854 times | Joined on Jul 2010
#30
Originally Posted by javispedro View Post
xmimd will help here, at least while waiting for a more properly integrated solution.

Since you are not using a chroot or Xephyr, this usecase is much easier. Just do:
  1. Install the xmimd package
  2. Open a terminal window and run "xmimd -v". Leave it open.
  3. On a second, newly opened terminal window, run
    Code:
    export GTK_IM_MODULE=xim
    export XMODIFIERS="@im=xmim"
  4. On the second terminal window, run "pidgin".

The Gtk+ window will not be resized, making it hard to see what you've written, but at least you won't need the bt keyboard...
this works great in a chroot, but i cant seem to get it to work for me here. any clue what im doing wrong?
__________________
~ teleshoes ~
 
Reply

Thread Tools

 
Forum Jump


All times are GMT. The time now is 23:56.